DIM X[50]
DIM Y[50]
RANDOMISE
FOR 1 TO 50
 LET X[INDEX] = INDEX*5+PI*7
 LET Y[INDEX] = INDEX*5-PI*7

NEXT
LET D = 1
SCREEN VGAHI
FOR 2 TO 50
 INK BLACK
 LINE X[50-INDEX+1] , Y[50-INDEX+1] , 320 , 240
 LINE 640-X[50-INDEX+1] , 480-Y[50-INDEX+1] , 320 , 240
 LINE X[50-INDEX+1] , 480-Y[50-INDEX+1] , 320 , 240
 LINE 640-X[50-INDEX+1] , Y[50-INDEX+1] , 320 , 240
 INK BLACK
 LINE X[INDEX-1] , Y[INDEX-1] , 320 , 240
 LINE 640-X[INDEX-1] , 480-Y[INDEX-1] , 320 , 240
 LINE X[INDEX-1] , 480-Y[INDEX-1] , 320 , 240
 LINE 640-X[INDEX-1] , Y[INDEX-1] , 320 , 240
 INK INDEX/10+1
 LINE X[50-INDEX] , Y[50-INDEX] , 320 , 240
 LINE 640-X[50-INDEX] , 480-Y[50-INDEX] , 320 , 240
 INK (INDEX/10+1)+5
 LINE X[50-INDEX] , 480-Y[50-INDEX] , 320 , 240
 LINE 640-X[50-INDEX] , Y[50-INDEX] , 320 , 240
 INK (INDEX/10+1)+5
 LINE X[INDEX] , Y[INDEX] , 320 , 240
 LINE 640-X[INDEX] , 480-Y[INDEX] , 320 , 240
 INK INDEX/10+1
 LINE X[INDEX] , 480-Y[INDEX] , 320 , 240

 LINE 640-X[INDEX] , Y[INDEX] , 320 , 240
 LET D = D+1
 IF D = 5 THEN BEEP 0 , 1
 IF D = 5 THEN LET D = 0
NEXT

LET KEY$ = INKEY$
SCREEN TEXT
